# [tanya.for.help2latex]descrip.mms
BINDIR = [-.BIN]
LIBDIR = [-.lib]
HELPDIR = [-.HELP]
HEREDIR = [-.help2latex]

ASKLIB=$(LIBDIR)libask.olb
VMSLIB=$(LIBDIR)libvms.olb
STUPIDLIB=$(LIBDIR)libstupid.olb
GPLOTSTUPID=$(LIBDIR)libgplotstupid.olb
GPLOTTRIUMF=DATA$DISK:[PROGRAMS.TRIUMF.GPLOT]GPLOT.olb

FC = fortran
FFLAGS = /warn/LIST/OBJECT=$(MMS$TARGET_NAME)$(OBJ)

BINH2LNEW= $(BINDIR)h2l_auto

#BINH2L_AUTO = $(BINDIR)help2latex_auto
#BINH2L = $(BINDIR)help2latex
#BINH2L_STUPID = $(BINDIR)help2latex_stupid
#BINH2L_GPLOT = $(BINDIR)help2latex_gplot

all : $(BINH2LNEW) 

#all : $(BINH2LNEW) $(BINH2L_AUTO), $(BINH2L), $(BINH2L_STUPID), $(BINH2L_GPLOT)

h2l_auto.obj : h2l_auto.f
	$(FC) $(FFLAGS) $<

help2latex_auto.obj : help2latex_auto.f
	$(FC) $(FFLAGS) $<

help2latex_interactive.obj : help2latex_interactive.f
	$(FC) $(FFLAGS) $<

$(BINH2LNEW) : h2l_auto.obj
	link/info/exec=$(mms$target) $(mms$source)

#$(BINH2L_AUTO) : help2latex_auto.obj  
#	link/info/exec=$(mms$target) $(mms$source)
#
#$(BINH2L) : help2latex_interactive.obj  
#	link/info/exec=$(mms$target) $(mms$source), \
#		$(ASKLIB)/lib, $(VMSLIB)/LIB
#
#$(BINH2L_STUPID) : help2latex_interactive.obj  
#	link/info/exec=$(mms$target) $(mms$source), \
#		$(ASKLIB)/lib, $(STUPIDLIB)/LIB
#
#$(BINH2L_GPLOT) : help2latex_interactive.obj  
#	link/info/exec=$(mms$target) $(mms$source), $(ASKLIB)/lib, \
#	        $(GPLOTSTUPID)/lib, $(GPLOTTRIUMF)/lib

clean :
	purge *.*
	DELETE *.OBJ;, *.LIS;

