c... arraysize.inc
c...	Used to set the size of arrays in spurion program.

c...	Maximum number of Aluminum peaks (old name:nal)
      integer nal
      parameter (nal = 13)
      
c...	the m_rlv_max X m_rlv_max size of the reciprocal lattice (old: m)
      integer m_rlv_max
      parameter (m_rlv_max = 41) 
      
c...	the unique_rlv_max <= (m_rlv_max X m_rlv_max +1) maxiumum #
c...	of unique intensities in the reciprocal lattice 
      integer unique_rlv_max
      parameter (unique_rlv_max = 1682) 

c...	For sorting the intensities. The number of distinct intensities.
      integer max_distinct
      parameter (max_distinct = 800)

c...	max_occur is the maximum number of location (h,k,l) which are
c...	recorded which the same intensity. 
cUnused      integer max_occur
cUnused      parameter (max_occur = 8)
      
c...    the number of n_spur_max*ki-n_spur_max*kf spurions to calculate.(old: n)
      integer n_spur_max
      parameter (n_spur_max = 4) 

      integer n_spurbragg_max
      parameter (n_spurbragg_max = 999)	
      
c...  (old: maxnpts). Length of real data sets.
      integer maxnpts
      parameter (maxnpts=999)
c      parameter (maxnpts=99)

c...	natoms_max is the maximum number of atom positions in the unit cell.      
C...  natoms is the actual number
      integer natoms_max
      parameter (natoms_max=300)

c...	parameters
      real	tiny
      parameter (tiny = 1.0e-5)
      
c===========================================================================
c...	fundamental constants
      double precision const_hbar
      parameter (const_hbar = 6.58211889d-16)    !! +- (26) eV s
      double precision const_Mnc2      	     !! c^2 Mass of the neutron in ev 
      parameter (const_Mnc2 = 939.5653300d6) !! +- (38) eV
      double precision const_c			!! speed of light in A/s
      parameter (const_c = 2.99792458d18)	!! exact 
      
c...	E = k^2 * hbar^2 /(2 * Mn)  = k^2 * hbar^2 * c^2 /(2 * Mn *c^2)
      real k2_to_E  			!! mev /(Angstroms^2)
      common /cb_k2_to_E/ k2_to_E  
