c	spur_structmenu.inc
c	Variables, etc,  for the structure intensity command's sub-menu
c	Tanya Riseman, March 19. 2002

	integer sbit_bragg			!! display Bragg reflections
	parameter (sbit_bragg = 1)
	character*2 schar_bragg
	parameter (schar_bragg = 's ')

	integer sbit_num			!! circles vs. numbers
	parameter (sbit_num = 2)
	character*2 schar_num
	parameter (schar_num = 'n ')

	integer sbit_color			!! color/grey
	parameter (sbit_color = 3)
	character*2 schar_color
	parameter (schar_color = 'c ')

	integer sbit_size			!! relative circle size 
	parameter (sbit_size = 4)
	character*2 schar_size
	parameter (schar_size = 'z ')

	integer sbit_uniform		!! circle size varies or is uniform
	parameter (sbit_uniform = 5)
	character*2 schar_uniform
	parameter (schar_uniform = 'u ')

	integer sbit_label			!! sorting labels on intensities
	parameter (sbit_label = 6)
	character*2 schar_label
	parameter (schar_label = 'l ')

	integer sbit_absences			!! show systematic absences
	parameter (sbit_absences = 7)
	character*2 schar_absences
	parameter (schar_absences = 'a ')

	integer sbit_logsort		!! Select loG sort of intensities
	parameter (sbit_logsort = 8)	!! 	base^(n-1) < Sf^2 < base^n or
	character*2 schar_logsort	!!	+- tolerance
	parameter (schar_logsort = 'g ')

	integer sbit_tolsort			!! sorting intensity tolorance
	parameter (sbit_tolsort = 9)		!! (for linear scale)
	character*2 schar_tolsort
	parameter (schar_tolsort = 't ')

	integer sbit_basesort			!! sorting base (for log scale)
	parameter (sbit_basesort = 10)		!! base^(n-1) < Sf^2 < base^n 
	character*2 schar_basesort
	parameter (schar_basesort = 'b ')


c...	standard menu items
	integer sbit_help
	parameter (sbit_help = 11)
	character*2 schar_help
	parameter (schar_help = 'h ')

	integer sbit_quit
	parameter (sbit_quit = 12)
	character*2 schar_quit
	parameter (schar_quit = 'q ')

	integer len_structmenu
	parameter(len_structmenu = 12)
	
c====================================================
c
	integer*4 current_structop, add_structop
	common /struct_options/ current_structop, add_structop


c====================================================
	character*48 structmenu(len_structmenu)
	character*20 structitemvalue(len_structmenu)
	character*2  structmenuitem(len_structmenu)
	common /structmenu/ structmenu, structitemvalue, 
     &		structmenuitem

