c... io_files.inc
c...	Used to keep track of file names and their unit numbers.

cc...	Lazy- Pulverix files unit numbers.
cc...	Used in lazy.f, multf.f, subroutines.f.
cc...	Been commented out of burz.f ( COMMON /UNITS/ NRD,NPT,ILU).
cc...	ILU is not used presently.
c      integer ICR, IPR, ILU
c      COMMON /UNITS/ ICR, IPR, ILU

      integer	unitlpi, unitlpitemp, unitlpiout
      integer	unitbufin, unitbufout
      integer	unitstruct, unitspur, uniticp
      integer	unitlog, unitdata, unitdebug
      
      parameter (unitlpi= 10)		!! Used to be unit ICR=4 in /UNITS/
      parameter (unitlpitemp = 11)	!! Used to be unit ILV=12 in lazy()
      parameter (unitlpiout = 12)	!! Used to be unit 2 in /UNITS/
      parameter (unitbufin = 13)	!! Used to be unit 2 in qbufin()
      parameter (unitbufout = 14)	!! Used to be unit 2 in qbufout()
      parameter (unitstruct = 15)	!! Used to be unit 7 in lazy()
      parameter (unitspur = 16)		!! Used to be unit 8
      parameter (uniticp = 17)		!! ICP dry run file
      parameter (unitlog = 18)		!! Used to be IPR=2 (prev 6) in /UNITS/ 
      parameter (unitdata = 19)		!! Used to be IPR=2 (prev 6) in /UNITS/ 
      parameter (unitdebug = 20)
      

      CHARACTER*48 FILE_BASE		!! File name base.
      common /cb_filebase/ FILE_BASE

      CHARACTER*60 FILE_LPI		!! Assoicated with unit unitlpi = ICR
      CHARACTER*60 FILE_LPITEMP 	!! Associated with unit unitlpitemp=ILV
      CHARACTER*60 FILE_LPIOUT 		!! Associated with unit unitlipout
      CHARACTER*60 FILE_BUFIN 		!! Associated with unit unitbufin
      CHARACTER*60 FILE_BUFOUT 		!! Associated with unit unitbufout
      CHARACTER*60 FILE_STRUCTOUT 	!! Associated with unit unitstruct
      CHARACTER*60 FILE_SPUROUT 	!! Associated with unit unitspur
      CHARACTER*60 FILE_ICP 		!! Associated with unit uniticp
      CHARACTER*60 FILE_LOG 	!! Associated with unit unitlog
      CHARACTER*60 FILE_DEBUG 		!! Associated with unit unitdebug
      CHARACTER*60 FILE_PS 		
      CHARACTER*60 FILE_CPS 		
      CHARACTER*60 FILE_scan_PS 		
      CHARACTER*60 FILE_scan_CPS 		
      
      CHARACTER*60 FILE_data
      		
      common /cb_filenames/ FILE_LPI, FILE_LPITEMP, FILE_LPIOUT, 
     &  	FILE_BUFIN, FILE_BUFOUT, FILE_STRUCTOUT, 
     & 		FILE_SPUROUT, FILE_ICP, FILE_LOG, FILE_DEBUG,
     &		FILE_PS, FILE_CPS, FILE_scan_PS, FILE_scan_CPS,
     &		file_data
     

C...	file name extensions
      CHARACTER*12 EXT_LPI		!! Assoicated with unit ICR
      CHARACTER*12 EXT_LPITEMP 		!! Associated with unit ILV
      CHARACTER*12 EXT_LPIOUT		!! Associated with unit unitlpiout
      CHARACTER*12 EXT_BUFIN 		!! Associated with unit unitbufin
      CHARACTER*12 EXT_BUFOUT 		!! Associated with unit unitbufout
      CHARACTER*12 EXT_STRUCTOUT 	!! Associated with unit unitstruct
      CHARACTER*12 EXT_SPUROUT 	!! Associated with unit unitspur
      CHARACTER*12 EXT_ICP 	!! Associated with unit unitICP
      CHARACTER*12 EXT_LOG 	!! Associated with unit unitlog
      CHARACTER*12 EXT_DEBUG 		!! Associated with unit unitdebug
      CHARACTER*12 EXT_PS 		!!
      CHARACTER*12 EXT_CPS 		!!
      CHARACTER*12 EXT_scan_PS 		!! 
      CHARACTER*12 EXT_scan_CPS 	!!

      parameter (ext_LPI 	= '.lpi')
      parameter (ext_LPITEMP 	= '.lpitemp')
      parameter (ext_LPIOUT 	= '.lpiout')
      parameter (ext_BUFIN 	= '.buf')
      parameter (ext_BUFout 	= '.bufout')
      parameter (ext_structout 	= '.struct')
      parameter (ext_spurout 	= '.spur')
      parameter (ext_icp 	= '.icp')
      parameter (ext_log 	= '.log')
      parameter (ext_debug	= '.debug')
      parameter (ext_ps		= '_bw.ps/VPS')			!! portrait
      parameter (ext_cps	= '_cl.ps/VCPS')		!! portrait
      parameter (ext_scan_ps	= '_scbw.ps/VPS')		!! portrait
      parameter (ext_scan_cps	= '_sccl.ps/VCPS')		!! portrait
c      parameter (ext_ps		= '.ps/PS')
c      parameter (ext_cps	= '.ps/VCPS')
      
