c	file spur_layout.inc

      integer ipage_lattice, ipage_scan
      common /cb_pages/ ipage_lattice, ipage_scan
      
cccc	call pgsvp(0.07, 0.65, 0.177, 0.92)		!! landscape
      real	ps_width, ps_height
      parameter (ps_width = 7.8)		!! portrait, inches 
      parameter (ps_height = 10.5)		!! portrait, inches 
      real	aspect_ratio
      common /aspect/ aspect_ratio
      
c      parameter (aspect_ratio = 1.25)			!! portrait
c      parameter (aspect_ratio = 0.8)			!! landscape

c	width_plot = 0.70	! Set in init_pg2d
c	margin_plot = 0.07	! Set in init_pg2d

      real	width_plot, margin_plot
      real 	xmin_plot, xmax_plot, ymin_plot, ymax_plot
      real 	xmin_new, xmax_new, ymin_new, ymax_new
      real 	xmin_label, xmax_label, ymin_label, ymax_label
      real 	xmin_annote, xmax_annote, ymin_annote, ymax_annote
      real	ystamp
      logical	portrait
      
c      parameter (xmin_plot = 0.07)		!! landscape
c      parameter (xmax_plot = 0.65)		!! landscape
c      parameter (ymin_plot =  0.175)		!! lanscape
c      parameter (ymax_plot =  0.92)		!! landscape

      common /cb_layout/ width_plot, margin_plot,
     & 		xmin_plot, xmax_plot, ymin_plot, ymax_plot,
     &		xmin_new, xmax_new, ymin_new, ymax_new,
     &		xmin_label, xmax_label, ymin_label, ymax_label,
     &		xmin_annote, xmax_annote, ymin_annote, ymax_annote,
     &	       ystamp, portrait

      real xmin, xmax, ymin, ymax
      common /cb_range/ xmin, xmax, ymin, ymax
      
cMoved      logical makescanplot
cMoved      parameter (makescanplot = .true.)
      

c...	scan plot now
c     scanplot: 	View port ranges (for PFSVP)
      real vxmin_sc_cnts, vxmax_sc_cnts, vymin_sc_cnts, vymax_sc_cnts
      parameter  (vxmin_sc_cnts = 0.08)
      parameter  (vxmax_sc_cnts= 0.80)
cMar13      parameter  (vxmax_sc_cnts= 0.92)
c02Mar14      parameter  (vymin_sc_cnts = 0.6)
      parameter  (vymin_sc_cnts = 0.75)
      parameter  (vymax_sc_cnts = 0.95)
      real vxmin_sc_q, vxmax_sc_q, vymin_sc_q, vymax_sc_q
      parameter  (vxmin_sc_q = vxmin_sc_cnts)
      parameter  (vxmax_sc_q = vxmax_sc_cnts)
c      parameter  (vymin_sc_q = 0.35)
c      parameter  (vymax_sc_q = 0.5)
      real vxmin_sc_de, vxmax_sc_de, vymin_sc_de, vymax_sc_de
      parameter  (vxmin_sc_de = vxmin_sc_cnts)
      parameter  (vxmax_sc_de = vxmax_sc_cnts)
c      parameter  (vymin_sc_de = 0.20)
c      parameter  (vymax_sc_de = 0.35)

      real vxmin_sc_a4, vxmax_sc_a4, vymin_sc_a4, vymax_sc_a4
      parameter  (vxmin_sc_a4 = vxmin_sc_cnts)
      parameter  (vxmax_sc_a4 = vxmax_sc_cnts)

      real  ymin_sc_q, ymax_sc_q
      parameter  (ymin_sc_q = 0.0)
      parameter  (ymax_sc_q = 1.0)

      real ymin_sc_de, ymax_sc_de
      parameter  (ymin_sc_de = 0.0)
      parameter  (ymax_sc_de = 1.0)

      real ymin_sc_a4, ymax_sc_a4
      parameter  (ymin_sc_a4 = 0.0)
      parameter  (ymax_sc_a4 = 1.0)

      real vxmin_sc_hs, vxmax_sc_hs, vymin_sc_hs, vymax_sc_hs
      parameter  (vxmin_sc_hs = vxmin_sc_cnts)
      parameter  (vxmax_sc_hs = vxmax_sc_cnts)

      real  ymin_sc_hs, ymax_sc_hs
      logical auto_ymin_sc_hs, auto_ymax_sc_hs
      logical auto_xmin_sc, auto_xmax_sc
      real  vymin_sc_lpi, vymax_sc_lpi
      
c...	scanplot:	world units in window   PGSWIN     
      real xmin_sc, xmax_sc
      real ymin_sc_cnts, ymax_sc_cnts
      common /cb_range_scanplot/ vymin_sc_q, vymax_sc_q, 
     &	vymin_sc_de, vymax_sc_de, 
     &  vymin_sc_a4, vymax_sc_a4,
     &   xmin_sc, xmax_sc, 
     &	ymin_sc_cnts, ymax_sc_cnts,
     &	vymin_sc_hs, vymax_sc_hs, ymin_sc_hs, ymax_sc_hs,
     &  auto_ymin_sc_hs, auto_ymax_sc_hs,
     &  auto_xmin_sc, auto_xmax_sc,
     &	vymin_sc_lpi, vymax_sc_lpi

c...	For text placement on the scan page      
      real		yhere_sc, yoff_sc, xhere_sc
      common/cb_xyprint_sc/ yhere_sc, yoff_sc, xhere_sc
