c	spur_menu.inc
c	char_* is the letter typed at the menu to select a command.
c	bit_* is used by spurhist and spurmod to decide what to do.
c	March 14, 2002. Change menu commands from 1 to 2 characters long.
c		Commands corresponding to sub-menus are '*m'.
c		Commands corresponding to output ascii/ps files are '*w'
c		All other commands are present are single character.
c------------------------------------------
c...	Start over fresh with default values or new files

	integer bit_default
	parameter (bit_default = 1)
	character*2 char_default
	parameter (char_default = 'dm')		! sub-menu


c--------------------------------------
c...	Draws spurion items and vectors:

	integer bit_spur
	parameter (bit_spur = 2)
	character*2 char_spur
	parameter (char_spur = 's ')

	integer bit_incoh
	parameter (bit_incoh = 3)
	character*2 char_incoh
	parameter (char_incoh = 'i ')

	integer bit_al
	parameter (bit_al = 4)
	character*2 char_al
	parameter (char_al = 'a ')

	integer bit_orientvec
	parameter (bit_orientvec = 5)
	character*2 char_orientvec
	parameter (char_orientvec = 'o ')

	integer bit_labelvec
	parameter (bit_labelvec = 6)
	character*2 char_labelvec
	parameter (char_labelvec = 'l ')

	integer bit_grid
	parameter (bit_grid = 7)
	character*2 char_grid
	parameter (char_grid = 'g ')

c--------------------------------------
c...	Changing the experimental conditions

	integer bit_mod
	parameter (bit_mod = 8)
	character*2 char_mod
	parameter (char_mod = 'mm')		! sub-menu

	integer bit_tol
	parameter (bit_tol = 9)
	character*2 char_tol
	parameter (char_tol = 't ')

	integer bit_bumpA4
	parameter (bit_bumpA4 = 10)
	character*2 char_bumpA4
	parameter (char_bumpA4 = 'b ')

	integer bit_reflect
	parameter (bit_reflect = 11)
	character*2 char_reflect
	parameter (char_ reflect= 'f ')	!! could change to r

c...	Now always show both unis on lattice plot
c	integer bit_units
c	parameter (bit_units = 11)
c	character*2 char_units
c	parameter (char_units = 'u ')

c--------------------------------------
c	Managing how the plot is displayed.
c	These commands are all uppercase, so can reuse some of the same 
c	letters of the alphabet.

	integer bit_zoomspur
	parameter (bit_zoomspur = 12)
	character*2 char_zoomspur
	parameter (char_zoomspur = 'z ')
c	parameter (char_zoomspur = 'Z ')

	integer bit_rescale
	parameter (bit_rescale = 13)
	character*2 char_rescale
	parameter (char_rescale = 'r ')
c	parameter (char_rescale = 'R ')

c...	New
	integer bit_structmenu
	parameter (bit_structmenu = 14)
	character*2 char_structmenu
	parameter (char_structmenu = 'sm')

cMoved	integer bit_showintensities 
cMoved	parameter (bit_showintensities = 13)
cMoved	character*2 char_showintensities
cMoved	parameter (char_showintensities = 'I ')

cMoved	integer bit_circsize
cMoved	parameter (bit_circsize = 14)
cMoved	character*2 char_circsize
cMoved	parameter (char_circsize = 'C ')

cMoved	integer bit_showsort
cMoved	parameter (bit_showsort = 15)
cMoved	character*2 char_showsort
cMoved	parameter (char_showsort = 'S ')

cMoved	integer bit_sortlog
cMoved	parameter (bit_sortlog = 14)
cMoved	character*2 char_sortlog
cMoved        parameter (char_sortlog = 'L ')

cMoved	integer bit_absent
cMoved	parameter (bit_absent = 17)
cMoved	character*2 char_absent
cMoved	parameter (char_absent = 'H ')

c...	Note: some parts of code truncate the list after bit_annote,
c...	since everythign after is text-based and does not affect the plot.
c...	Some don't change the order here without being careful!
	integer bit_annote
	parameter (bit_annote = 15)
	character*2 char_annote
	parameter (char_annote = 'n ')
c	parameter (char_annote = 'A ')

c--------------------------------------
c...	the output device or printout

	integer bit_device
	parameter (bit_device = 16)
	character*2 char_device
	parameter (char_device = 'pw')


c------------------------------------------
c...	Purely text-based output commands, does not affect the plot.
	integer bit_qbufout
	parameter (bit_qbufout = 17)
	character*2 char_qbufout
	parameter (char_qbufout = 'bw')
	
	integer bit_ICP
	parameter (bit_ICP = 18)
	character*2 char_ICP
	parameter (char_ICP = 'gw')
	!! 2^17 = 131072

	integer bit_help
	parameter (bit_help = 19)
	character*2 char_help
	parameter (char_help = 'h ')

	integer bit_quit
	parameter (bit_quit = 20)
	character*2 char_quit
	parameter (char_quit = 'QQ')
c	!! Make quit more difficult from main menu than from sub-menus.
ccc	parameter (char_quit = 'q ')
	
	integer len_menu
	parameter(len_menu = 20)
	
c====================================================
c	Instead of using spurhist:

	integer*4 currentoptions, addoption
	common /options/ currentoptions, addoption


c====================================================
	character*48 spurmenu(len_menu)
	character*20 spuritemvalue(len_menu)
	character*2  spurmenuitem(len_menu)
c02Mar	character*1  spurmenuitem(len_menu)
	common /spurmenu/ spurmenu, spuritemvalue, spurmenuitem
