c	spur_modmenu.inc
c	Complete re-write to include more items from the q-buffer,
c	and with names and labels whcih better correspond. March 11, 2002
c	char_* are the letters typed at the menu to select a command.
c	bit_* is used to decide what to do.

	integer bit_lp			!! Lattice: parameters a, b, c
	parameter (bit_lp = 1)
	character*2 char_lp
	parameter (char_lp = 'lp')

	integer bit_la			!! Lattice: angles aa, bb, cc
	parameter (bit_la = 2)
	character*2 char_la
	parameter (char_la = 'la')

	integer bit_ec			!! 'Energy: at center of scan' 
	parameter (bit_ec = 3)
	character*2 char_ec
	parameter (char_ec = 'ec')

	integer bit_es			!! 'Energy: step' 
	parameter (bit_es = 4)
	character*2 char_es
	parameter (char_es = 'es')

	integer bit_fe			!! 'Energy: value of fixed (MON) or (ANA)'
	parameter (bit_fe = 5)
	character*2 char_fe
	parameter (char_fe = 'fe')

	integer bit_mo			!! 'Energy: toggle MON or ANA with E-fixed'
	parameter (bit_mo = 6)
	character*2 char_mo
	parameter (char_mo = 'mo')

	integer bit_dm			!! 'Energy: lattice spacing of MON'
	parameter (bit_dm = 7)
	character*2 char_dm
	parameter (char_dm = 'dm')

	integer bit_da			!! 'Energy: lattice spacing of ANA'
	parameter (bit_da = 8)
	character*2 char_da
	parameter (char_da = 'da')


	integer bit_qc			!! 'Space: qh qk ql at center of scan' 
	parameter (bit_qc = 9)
	character*2 char_qc
	parameter (char_qc = 'qc')

	integer bit_qs			!! 'Space: qh qk ql step'
	parameter (bit_qs = 10)
	character*2 char_qs
	parameter (char_qs = 'qs')

	integer bit_uu			!! 'Orient: u=(hkl) of scattering plane'
	parameter (bit_uu = 11)
	character*2 char_uu
	parameter (char_uu = 'u ')

c...	note: Orient: Angl is unused.

	integer bit_vv			!! 'Orient: v=(hkl)'' of scattering plane'
	parameter (bit_vv = 12)
	character*2 char_vv
	parameter (char_vv = 'v ')

	integer bit_t0			!! 'Temp/H: start temperature T0'
	parameter (bit_t0 = 13)
	character*2 char_t0
	parameter (char_t0 = 't0')

	integer bit_ts			!! 'Temp/H: temperature step inc-T'
	parameter (bit_ts = 14)
	character*2 char_ts
	parameter (char_ts = 'ts')

	integer bit_np			!! 'Time: number of scanned (E,Q,T) points' 
	parameter (bit_np = 15)
	character*2 char_np
	parameter (char_np = 'np')


c...	standard menu items
	integer bit_modhelp
	parameter (bit_modhelp = 16)
	character*2 char_modhelp
	parameter (char_modhelp = 'h ')

	integer bit_modquit
	parameter (bit_modquit = 17)
	character*2 char_modquit
	parameter (char_modquit = 'q ')


	integer len_modmenu
	parameter(len_modmenu = 17)
	
c====================================================
c
	integer*4 current_modop, add_modop
	common /mod_options/ current_modop, add_modop


c====================================================
	character*48 modmenu(len_modmenu)
	character*20 moditemvalue(len_modmenu)
	character*2  modmenuitem(len_modmenu)
	common /modmenu/ modmenu, moditemvalue, modmenuitem

